View Issue Details

IDProjectCategoryView StatusLast Update
0032738Open CASCADEOCCT:Configurationpublic2022-02-09 21:34
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032738: Configuration, scripts - handle ABI list within iOS building script adm/scripts/ios_build.sh
DescriptionCurrently adm/scripts/ios_build.sh handles single ABI at single call. It is proposed supporting a list of architectures.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032739 verifiedkgv Configuration, scripts - handle ABI list within macOS building script adm/scripts/macos_build.sh 
child of 0032011 closedbugmaster Configuration - add batch files to build OCCT for macOS and iOS targets 

Activities

git

2021-12-17 05:53

administrator   ~0106033

Branch CR32738 has been created by kgv.

SHA-1: e9cd6fbeb06562cf66eb0c5057ca2c401d64a2f5


Detailed log of new commits:

Author: kgv
Date: Fri Dec 17 05:50:46 2021 +0300

    0032738: Configuration, scripts - handle ABI list within iOS building script adm/scripts/ios_build.sh
    
    Variables "toSimulator" and "anAbi" within "ios_custom.sh"
    have been replaced by "anAbiList" which can be defined like "iPhoneOS|arm64 iPhoneSimulator|arm64".

Author: kgv
Date: Thu Dec 16 01:58:50 2021 +0300

    Add FreeType building script for iOS target

Author: kgv
Date: Thu Dec 16 01:50:41 2021 +0300

    0032733: Coding Rules - fix misprints in Doxygen tags

git

2021-12-17 07:02

administrator   ~0106034

Branch CR32738 has been updated forcibly by kgv.

SHA-1: f05b6e2fde85b717ea8378d12609ff12721661bf

git

2021-12-17 07:32

administrator   ~0106035

Branch CR32738 has been updated forcibly by kgv.

SHA-1: 14c8f21df519d919b041405d0e60b45814eb235f

git

2021-12-17 08:06

administrator   ~0106037

Branch CR32738_1 has been created by kgv.

SHA-1: be8d69da724438aa6395649fe34d34cdb0c751c0


Detailed log of new commits:

Author: kgv
Date: Fri Dec 17 05:50:46 2021 +0300

    0032738: Configuration, scripts - handle ABI list within iOS building script adm/scripts/ios_build.sh
    
    Variables "toSimulator" and "anAbi" within "ios_custom.sh"
    have been replaced by "anAbiList" which can be defined like "iPhoneOS|arm64 iPhoneSimulator|arm64".
    Added "toPackFat" option packing multiple architectures into FAT archives.

kgv

2021-12-17 08:08

developer   ~0106039

Please raise the patch
- OCCT: branch CR32738_1;
- OCC Products: branch CR32738_1.

git

2021-12-17 08:33

administrator   ~0106040

Branch CR32738_1 has been updated forcibly by kgv.

SHA-1: 3cdac891f463f89783b21d3335be771b0df565b9

git

2021-12-17 10:08

administrator   ~0106045

Branch CR32738_1 has been updated forcibly by kgv.

SHA-1: 0f3c4ecaf5288de40b0d3b918b8a89d649c509cc

smoskvin

2021-12-18 15:24

administrator   ~0106067

Combination -
OCCT branch : IR-2021-12-17
master SHA - 302ad26bffd1ef35a61b8b25b79b9376d9a3e906
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-17 SHA - 98edda224f5e3516cba5be029bc70c3df45ca649
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18206.60000000041 / 18222.99000000043 [-0.09%]
Products
Total CPU difference: 11646.460000000101 / 11645.100000000084 [+0.01%]
Windows-64-VC14:
OCCT
Total CPU difference: 20012.890625 / 20000.0 [+0.06%]
Products
Total CPU difference: 13093.890625 / 13044.453125 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-02-09 21:34

administrator   ~0106830

Branch CR32738 has been deleted by kgv.

SHA-1: 14c8f21df519d919b041405d0e60b45814eb235f

git

2022-02-09 21:34

administrator   ~0106831

Branch CR32738_1 has been deleted by kgv.

SHA-1: 0f3c4ecaf5288de40b0d3b918b8a89d649c509cc

Related Changesets

occt: master 90eac749

2021-12-17 05:50:46

kgv


Committer: smoskvin Details Diff
0032738: Configuration, scripts - handle ABI list within iOS building script adm/scripts/ios_build.sh

Variables "toSimulator" and "anAbi" within "ios_custom.sh"
have been replaced by "anAbiList" which can be defined like "iPhoneOS|arm64 iPhoneSimulator|arm64".
Added "toPackFat" option packing multiple architectures into FAT archives.
Affected Issues
0032738
mod - adm/scripts/ios_build.sh Diff File
mod - adm/scripts/ios_custom.sh.template Diff File

occt-products: master 98edda22

2021-12-17 07:28:39

kgv


Committer: smoskvin Details Diff
0032738: Configuration, scripts - handle ABI list within iOS building script adm/scripts/ios_build.sh

Added script for building products for iOS target.
Affected Issues
0032738
add - adm/scripts/ios_build.sh Diff File
mod - blob Diff File

Issue History

Date Modified Username Field Change
2021-12-17 05:50 kgv New Issue
2021-12-17 05:50 kgv Assigned To => bugmaster
2021-12-17 05:53 git Note Added: 0106033
2021-12-17 07:02 git Note Added: 0106034
2021-12-17 07:32 git Note Added: 0106035
2021-12-17 08:06 git Note Added: 0106037
2021-12-17 08:08 kgv Status new => resolved
2021-12-17 08:08 kgv Test case number => N/A
2021-12-17 08:08 kgv Note Added: 0106039
2021-12-17 08:08 kgv Status resolved => reviewed
2021-12-17 08:09 kgv Relationship added child of 0032011
2021-12-17 08:12 kgv Relationship added related to 0032739
2021-12-17 08:33 git Note Added: 0106040
2021-12-17 10:08 git Note Added: 0106045
2021-12-18 15:24 smoskvin Status reviewed => tested
2021-12-18 15:24 smoskvin Note Added: 0106067
2021-12-18 20:24 smoskvin Changeset attached => occt master 90eac749
2021-12-18 20:24 kgv Assigned To bugmaster => kgv
2021-12-18 20:24 kgv Status tested => verified
2021-12-18 20:24 kgv Resolution open => fixed
2021-12-18 20:24 smoskvin Changeset attached => occt-products master 98edda22
2022-02-09 21:34 git Note Added: 0106830
2022-02-09 21:34 git Note Added: 0106831